Package be.fgov.ehealth.rn.baselegaldata.v1

# Class TranscriptionType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.TranscriptionType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class TranscriptionType extends Object implements Serializable

Java class for TranscriptionType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TranscriptionType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="TranscriptionDate" type="{urn:be:fgov:ehealth:rn:commons:business:v1}IncompleteDateType" minOccurs="0"/>
             <element name="TranscriptionLocation" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}LocationType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TranscriptionType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getTranscriptionDate()`
  Gets the value of the transcriptionDate property.
  `LocationType`
  `getTranscriptionLocation()`
  Gets the value of the transcriptionLocation property.
  `void`
  `setTranscriptionDate(String value)`
  Sets the value of the transcriptionDate property.
  `void`
  `setTranscriptionLocation(LocationType value)`
  Sets the value of the transcriptionLocation property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TranscriptionType

    public TranscriptionType()

- ## Method Details

  - ### getTranscriptionDate

    public String getTranscriptionDate()
    Gets the value of the transcriptionDate property.
    Returns:
      possible object is `String`

  - ### setTranscriptionDate

    public void setTranscriptionDate(String value)
    Sets the value of the transcriptionDate property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTranscriptionLocation

    public LocationType getTranscriptionLocation()
    Gets the value of the transcriptionLocation property.
    Returns:
      possible object is `LocationType`

  - ### setTranscriptionLocation

    public void setTranscriptionLocation(LocationType value)
    Sets the value of the transcriptionLocation property.
    Parameters:
      `value` - allowed object is `LocationType`